Debian Bug report logs - #587901
perl: Missing -DDEBIAN -D_REENTRANT flags on hurd-i386

version graph

Package: perl; Maintainer for perl is Niko Tyni <ntyni@debian.org>; Source for perl is src:perl.

Reported by: Samuel Thibault <sthibault@debian.org>

Date: Fri, 2 Jul 2010 12:48:01 UTC

Severity: normal

Tags: patch, upstream

Found in version perl/5.10.1-13

Fixed in versions perl/5.10.1-14, perl/5.12.2~rc1-1

Done: Niko Tyni <ntyni@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Niko Tyni <ntyni@debian.org>:
Bug#587901; Package perl. (Fri, 02 Jul 2010 12:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
New Bug report received and forwarded. Copy sent to Niko Tyni <ntyni@debian.org>. (Fri, 02 Jul 2010 12:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: perl: Missing -DDEBIAN -D_REENTRANT flags on hurd-i386
Date: Fri, 2 Jul 2010 14:44:26 +0200
[Message part 1 (text/plain, inline)]
Package: perl
Version: 5.10.1-13
Severity: normal
Tags: patch upstream

Hello,

The perl build on hurd-i386 doesn't have the -DDEBIAN flag, leading to
paths discrepancies and such odd issues.  This is due to hints/gnu.sh
overriding the value passed by debian/rules.  The build also doesn't use
-D_REENTRANT, which can lead to issues too.  The attached patch fixes
both issues.

Samuel

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.34 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages perl depends on:
ii  libbz2-1.0              1.0.5-4          high-quality block-sorting file co
ii  libc6                   2.11.1-3         Embedded GNU C Library: Shared lib
ii  libdb4.7                4.7.25-9         Berkeley v4.7 Database Libraries [
ii  libgdbm3                1.8.3-9          GNU dbm database routines (runtime
ii  perl-base               5.10.1-13        minimal Perl system
ii  perl-modules            5.10.1-13        Core Perl modules
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

Versions of packages perl recommends:
ii  make                          3.81-8     An utility for Directing compilati
ii  netbase                       4.41       Basic TCP/IP networking system

Versions of packages perl suggests:
pn  libterm-readline-gnu-perl | l <none>     (no description available)
ii  perl-doc                      5.10.1-13  Perl documentation

-- no debconf information

-- 
Samuel Thibault <samuel.thibault@fnac.net>
After watching my newly-retired dad spend two weeks learning how to make a new
folder, it became obvious that "intuitive" mostly means "what the writer or
speaker of intuitive likes".
(Bruce Ediger, bediger@teal.csn.org, in comp.os.linux.misc, on X the
intuitiveness of a Mac interface.)
[patch-perl (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Niko Tyni <ntyni@debian.org>:
Bug#587901; Package perl. (Fri, 02 Jul 2010 18:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Niko Tyni <ntyni@debian.org>. (Fri, 02 Jul 2010 18:15:03 GMT) Full text and rfc822 format available.

Message #10 received at 587901@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Samuel Thibault <sthibault@debian.org>
Cc: 587901@bugs.debian.org
Subject: Re: Bug#587901: perl: Missing -DDEBIAN -D_REENTRANT flags on hurd-i386
Date: Fri, 02 Jul 2010 11:13:46 -0700
Samuel Thibault <sthibault@debian.org> writes:

> The perl build on hurd-i386 doesn't have the -DDEBIAN flag, leading to
> paths discrepancies and such odd issues.  This is due to hints/gnu.sh
> overriding the value passed by debian/rules.  The build also doesn't use
> -D_REENTRANT, which can lead to issues too.  The attached patch fixes
> both issues.

Out of curiousity, which issues does -D_REENTRANT fix?  I ask because
we're considering removing the Policy requirement to build shared
libraries with that flag since with the current threading model it no
longer appears to have any purpose other than exposing a few more
prototypes for glibc functions.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Niko Tyni <ntyni@debian.org>:
Bug#587901; Package perl. (Fri, 02 Jul 2010 19:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Niko Tyni <ntyni@debian.org>. (Fri, 02 Jul 2010 19:57:03 GMT) Full text and rfc822 format available.

Message #15 received at 587901@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Russ Allbery <rra@debian.org>
Cc: 587901@bugs.debian.org
Subject: Re: Bug#587901: perl: Missing -DDEBIAN -D_REENTRANT flags on hurd-i386
Date: Fri, 2 Jul 2010 21:56:04 +0200
Russ Allbery, le Fri 02 Jul 2010 11:13:46 -0700, a écrit :
> Samuel Thibault <sthibault@debian.org> writes:
> > The perl build on hurd-i386 doesn't have the -DDEBIAN flag, leading to
> > paths discrepancies and such odd issues.  This is due to hints/gnu.sh
> > overriding the value passed by debian/rules.  The build also doesn't use
> > -D_REENTRANT, which can lead to issues too.  The attached patch fixes
> > both issues.
> 
> Out of curiousity, which issues does -D_REENTRANT fix?  I ask because
> we're considering removing the Policy requirement to build shared
> libraries with that flag since with the current threading model it no
> longer appears to have any purpose other than exposing a few more
> prototypes for glibc functions.

Ah, indeed.  It used to be actually needed but doesn't seem to be any
more.

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, Niko Tyni <ntyni@debian.org>:
Bug#587901; Package perl. (Fri, 30 Jul 2010 20:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Niko Tyni <ntyni@debian.org>. (Fri, 30 Jul 2010 20:57:03 GMT) Full text and rfc822 format available.

Message #20 received at submit@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#587901: perl: Missing -DDEBIAN -D_REENTRANT flags on hurd-i386
Date: Fri, 30 Jul 2010 22:53:05 +0200
Samuel Thibault, le Fri 02 Jul 2010 14:44:26 +0200, a écrit :
> The perl build on hurd-i386 doesn't have the -DDEBIAN flag, leading to
> paths discrepancies and such odd issues.  This is due to hints/gnu.sh
> overriding the value passed by debian/rules.

Please also apply the patch to the current experimental 5.12 version,
which currently FTBFS because of this same bug.

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#587901; Package perl. (Sun, 01 Aug 2010 20:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. (Sun, 01 Aug 2010 20:27:05 GMT) Full text and rfc822 format available.

Message #25 received at 587901@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: Samuel Thibault <sthibault@debian.org>, 587901@bugs.debian.org
Subject: Re: Bug#587901: perl: Missing -DDEBIAN -D_REENTRANT flags on hurd-i386
Date: Sun, 1 Aug 2010 23:26:36 +0300
On Fri, Jul 30, 2010 at 10:53:05PM +0200, Samuel Thibault wrote:
> Samuel Thibault, le Fri 02 Jul 2010 14:44:26 +0200, a écrit :
> > The perl build on hurd-i386 doesn't have the -DDEBIAN flag, leading to
> > paths discrepancies and such odd issues.  This is due to hints/gnu.sh
> > overriding the value passed by debian/rules.
> 
> Please also apply the patch to the current experimental 5.12 version,
> which currently FTBFS because of this same bug.

Thanks. Will fix this soon, sorry for the delay.
-- 
Niko Tyni   ntyni@debian.org




Reply sent to Niko Tyni <ntyni@debian.org>:
You have taken responsibility. (Fri, 06 Aug 2010 10:21:10 GMT) Full text and rfc822 format available.

Notification sent to Samuel Thibault <sthibault@debian.org>:
Bug acknowledged by developer. (Fri, 06 Aug 2010 10:21:10 GMT) Full text and rfc822 format available.

Message #30 received at 587901-close@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: 587901-close@bugs.debian.org
Subject: Bug#587901: fixed in perl 5.10.1-14
Date: Fri, 06 Aug 2010 10:17:27 +0000
Source: perl
Source-Version: 5.10.1-14

We believe that the bug you reported is fixed in the latest version of
perl, which is due to be installed in the Debian FTP archive:

libcgi-fast-perl_5.10.1-14_all.deb
  to main/p/perl/libcgi-fast-perl_5.10.1-14_all.deb
libperl-dev_5.10.1-14_amd64.deb
  to main/p/perl/libperl-dev_5.10.1-14_amd64.deb
libperl5.10_5.10.1-14_amd64.deb
  to main/p/perl/libperl5.10_5.10.1-14_amd64.deb
perl-base_5.10.1-14_amd64.deb
  to main/p/perl/perl-base_5.10.1-14_amd64.deb
perl-debug_5.10.1-14_amd64.deb
  to main/p/perl/perl-debug_5.10.1-14_amd64.deb
perl-doc_5.10.1-14_all.deb
  to main/p/perl/perl-doc_5.10.1-14_all.deb
perl-modules_5.10.1-14_all.deb
  to main/p/perl/perl-modules_5.10.1-14_all.deb
perl-suid_5.10.1-14_amd64.deb
  to main/p/perl/perl-suid_5.10.1-14_amd64.deb
perl_5.10.1-14.debian.tar.gz
  to main/p/perl/perl_5.10.1-14.debian.tar.gz
perl_5.10.1-14.dsc
  to main/p/perl/perl_5.10.1-14.dsc
perl_5.10.1-14_amd64.deb
  to main/p/perl/perl_5.10.1-14_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 587901@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Niko Tyni <ntyni@debian.org> (supplier of updated perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 04 Aug 2010 13:52:05 +0300
Source: perl
Binary: perl-base libcgi-fast-perl perl-doc perl-modules perl-debug perl-suid libperl5.10 libperl-dev perl
Architecture: source all amd64
Version: 5.10.1-14
Distribution: unstable
Urgency: medium
Maintainer: Niko Tyni <ntyni@debian.org>
Changed-By: Niko Tyni <ntyni@debian.org>
Description: 
 libcgi-fast-perl - CGI::Fast Perl module
 libperl-dev - Perl library: development files
 libperl5.10 - shared Perl library
 perl       - Larry Wall's Practical Extraction and Report Language
 perl-base  - minimal Perl system
 perl-debug - debug-enabled Perl interpreter
 perl-doc   - Perl documentation
 perl-modules - Core Perl modules
 perl-suid  - runs setuid Perl scripts
Closes: 585678 587901 588799
Changes: 
 perl (5.10.1-14) unstable; urgency=medium
 .
   * Don't override -DDEBIAN on GNU/Hurd, fixing @INC breakage and other
     things. Thanks to Samuel Thibault. (Closes: #587901)
   * Fix builds on gcc 4.5 by passing PERL_PATCHLEVEL_H_IMPLICIT to cpp.
     Thanks to Loïc Minier and Paul Brook. (Closes: #588799)
   * Fix builds when the name of the current directory contains regexp
     metacharacters, particularly binNMUs with current sbuild versions.
     Thanks to Kyle Moffett and Ansgar Burchardt. (Closes: #585678)
   * Releasing with 'medium' urgency due to an RC bug fix.
Checksums-Sha1: 
 71007c43780c1a1785be7f7289891eb1e7309e96 1388 perl_5.10.1-14.dsc
 25340347e0b2ed33783c06af46842baf5c430193 109901 perl_5.10.1-14.debian.tar.gz
 635da4e7301ab6d5802ef2ea4c680b9721b492d4 52626 libcgi-fast-perl_5.10.1-14_all.deb
 6fa7d527e9c58feeb991ef2ac363b15fd6a9001b 7188114 perl-doc_5.10.1-14_all.deb
 4cc64a0ea0892e19a153b0d734495029ebf4e720 3481026 perl-modules_5.10.1-14_all.deb
 33b8ef0c6d4fc2cc11781019dce5c83fae24df77 1065048 perl-base_5.10.1-14_amd64.deb
 b269d815c34801806605e44e8d0c8c3c20498d84 5837748 perl-debug_5.10.1-14_amd64.deb
 13313e740784adb8d6840c41a1666f172d36faa6 34704 perl-suid_5.10.1-14_amd64.deb
 2f681e0e52f9d6c4039037db23cc8d1b9f582896 1150 libperl5.10_5.10.1-14_amd64.deb
 1985658281965a8ab66550ca7567c6caac39e255 2562824 libperl-dev_5.10.1-14_amd64.deb
 982200d7226f4e56d56395656a2c87484af1a623 4461062 perl_5.10.1-14_amd64.deb
Checksums-Sha256: 
 bb7658ba50bb25d5d8d8376245c267fc2f5513a26ca56c63921cfae9dc2fe6ed 1388 perl_5.10.1-14.dsc
 126bac95d16a7614cc8cd9c5e5738179615c4a41c2ee207bbcd8e58d00c4666f 109901 perl_5.10.1-14.debian.tar.gz
 fecbe36f975071446d1c3c03b513b631e461ae2f55abacf8005fb87d045f3b79 52626 libcgi-fast-perl_5.10.1-14_all.deb
 2611c13d7ce7f7e438387eaa954e8220260ff847345fb72b5d12fd14cdc346ab 7188114 perl-doc_5.10.1-14_all.deb
 6b80c32e5b6feee55e76da5156a5bcb0b0301789f0019d1f2d3878afcb92583a 3481026 perl-modules_5.10.1-14_all.deb
 d061855d81608f46e0b00f487cc0705d1b512827982511f5a3b539393b0a8348 1065048 perl-base_5.10.1-14_amd64.deb
 31ccda04f04727adef9f64cef2d1d9e42038e0dc08282e208b202ed26a28b491 5837748 perl-debug_5.10.1-14_amd64.deb
 7718dc1593ba4dbe64616197bd8003ad4beb98265d17f252cc9a911d6e0aee33 34704 perl-suid_5.10.1-14_amd64.deb
 96391ae84e19d28f60503d336fd9c0e6fba6b4eef6b5a67722026eec5b541c14 1150 libperl5.10_5.10.1-14_amd64.deb
 cce38d18a13c97fd17c14343293db59def38d19a557e76649d3dc7d6cc946017 2562824 libperl-dev_5.10.1-14_amd64.deb
 4e45e9e87142185fdbf2f605dc7be4b2d205ddc7a3887c4859d3461a278c8709 4461062 perl_5.10.1-14_amd64.deb
Files: 
 2c9f7280a13074c0e7498d22abb884a4 1388 perl standard perl_5.10.1-14.dsc
 b2ed41a940034e622e8665c405e3314d 109901 perl standard perl_5.10.1-14.debian.tar.gz
 e3d3f543e46c0a892dd7181f062bf7d1 52626 perl optional libcgi-fast-perl_5.10.1-14_all.deb
 c66fa8e15cc09beaaa5f864720418da0 7188114 doc optional perl-doc_5.10.1-14_all.deb
 c502e5cc355cd19e5d264ae74f3595e2 3481026 perl standard perl-modules_5.10.1-14_all.deb
 eb170a2852f8b43b8c8581ad2cec8f08 1065048 perl required perl-base_5.10.1-14_amd64.deb
 488cdb7c5885bad4a82b66c82b563da1 5837748 debug extra perl-debug_5.10.1-14_amd64.deb
 62a7af2f732b7aca9db47889e736bbb4 34704 perl optional perl-suid_5.10.1-14_amd64.deb
 4906dc1249408121aa635e523286fc01 1150 libs optional libperl5.10_5.10.1-14_amd64.deb
 c137f5dbb15d0e50ea9bec82967072b8 2562824 libdevel optional libperl-dev_5.10.1-14_amd64.deb
 0532380f7b93c66eb9fc6b1d2d399f8a 4461062 perl standard perl_5.10.1-14_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkxbIiAACgkQiyizGWoHLTkiiQCgyxFBfR9WS10z5kQEdzAArplB
k7QAoKp9wIk8qzOQXBOML9EtrsaADpxp
=1Z4x
-----END PGP SIGNATURE-----





Reply sent to Niko Tyni <ntyni@debian.org>:
You have taken responsibility. (Wed, 01 Sep 2010 19:51:07 GMT) Full text and rfc822 format available.

Notification sent to Samuel Thibault <sthibault@debian.org>:
Bug acknowledged by developer. (Wed, 01 Sep 2010 19:51:07 GMT) Full text and rfc822 format available.

Message #35 received at 587901-close@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: 587901-close@bugs.debian.org
Subject: Bug#587901: fixed in perl 5.12.2~rc1-1
Date: Wed, 01 Sep 2010 19:47:35 +0000
Source: perl
Source-Version: 5.12.2~rc1-1

We believe that the bug you reported is fixed in the latest version of
perl, which is due to be installed in the Debian FTP archive:

libcgi-fast-perl_5.12.2~rc1-1_all.deb
  to main/p/perl/libcgi-fast-perl_5.12.2~rc1-1_all.deb
libperl-dev_5.12.2~rc1-1_amd64.deb
  to main/p/perl/libperl-dev_5.12.2~rc1-1_amd64.deb
libperl5.12_5.12.2~rc1-1_amd64.deb
  to main/p/perl/libperl5.12_5.12.2~rc1-1_amd64.deb
perl-base_5.12.2~rc1-1_amd64.deb
  to main/p/perl/perl-base_5.12.2~rc1-1_amd64.deb
perl-debug_5.12.2~rc1-1_amd64.deb
  to main/p/perl/perl-debug_5.12.2~rc1-1_amd64.deb
perl-doc_5.12.2~rc1-1_all.deb
  to main/p/perl/perl-doc_5.12.2~rc1-1_all.deb
perl-modules_5.12.2~rc1-1_all.deb
  to main/p/perl/perl-modules_5.12.2~rc1-1_all.deb
perl_5.12.2~rc1-1.debian.tar.gz
  to main/p/perl/perl_5.12.2~rc1-1.debian.tar.gz
perl_5.12.2~rc1-1.dsc
  to main/p/perl/perl_5.12.2~rc1-1.dsc
perl_5.12.2~rc1-1_amd64.deb
  to main/p/perl/perl_5.12.2~rc1-1_amd64.deb
perl_5.12.2~rc1.orig.tar.bz2
  to main/p/perl/perl_5.12.2~rc1.orig.tar.bz2



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 587901@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Niko Tyni <ntyni@debian.org> (supplier of updated perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 01 Sep 2010 21:38:34 +0300
Source: perl
Binary: perl-base libcgi-fast-perl perl-doc perl-modules perl-debug libperl5.12 libperl-dev perl
Architecture: source all amd64
Version: 5.12.2~rc1-1
Distribution: experimental
Urgency: low
Maintainer: Niko Tyni <ntyni@debian.org>
Changed-By: Niko Tyni <ntyni@debian.org>
Description: 
 libcgi-fast-perl - CGI::Fast Perl module
 libperl-dev - Perl library: development files
 libperl5.12 - shared Perl library
 perl       - Larry Wall's Practical Extraction and Report Language
 perl-base  - minimal Perl system
 perl-debug - debug-enabled Perl interpreter
 perl-doc   - Perl documentation
 perl-modules - Core Perl modules
Closes: 289884 585678 587901 588799 595121
Changes: 
 perl (5.12.2~rc1-1) experimental; urgency=low
 .
   * New upstream release candidate.
     + includes the arm alignment fix (Closes: #289884)
     + upgrade the conflict versions of updated modules.
     + put the libfile-spec-perl conflict version in line with the separate
       package, which uses four digits. (Closes: #595121)
   * Merge 5.10.1-13 and -14 from unstable, most notably:
     + the GNU/Hurd @INC fix (Closes: #587901)
     + the gcc 4.5 build fix (Closes: #588799)
     + the binNMU regexp fix (Closes: #585678)
     + remove the Provides entries for the deprecated core modules
       and update their conflict versions.
   * Remove the libshell-perl recommendation, its deprecation has been
     postponed for 5.14. (See #580034)
Checksums-Sha1: 
 c6abcaeccfac5443810476c0f4e7cdbb4c9132d6 1451 perl_5.12.2~rc1-1.dsc
 d77be49a073807c04a8701d643ea307c41808a3c 12319327 perl_5.12.2~rc1.orig.tar.bz2
 d76784ad0037f0230c821b861232ff122d28948f 83233 perl_5.12.2~rc1-1.debian.tar.gz
 864549cdd1299acc07d01939059402e313671af3 53852 libcgi-fast-perl_5.12.2~rc1-1_all.deb
 3ac37397ed536a66a8e66076cb42354991c98edf 7506420 perl-doc_5.12.2~rc1-1_all.deb
 95ad1a015186956aa282542597211c3586a6f157 4753970 perl-modules_5.12.2~rc1-1_all.deb
 c09f57c5c56d7a8bf720b1c6bfe3ad48f6af1944 1482590 perl-base_5.12.2~rc1-1_amd64.deb
 6ba693a40c9cb97d013a3ad8153b3845b646f6de 5896488 perl-debug_5.12.2~rc1-1_amd64.deb
 4ad80ff6bdc0056cfed153f6484df72a94451bfe 1154 libperl5.12_5.12.2~rc1-1_amd64.deb
 26b9b793251278dc210005bc78b2346f14be187b 2574308 libperl-dev_5.12.2~rc1-1_amd64.deb
 59da9378509c00968f55f1fc6f3b9c1d6a057b64 4220586 perl_5.12.2~rc1-1_amd64.deb
Checksums-Sha256: 
 b9ff7edadd97e0522308b6cc765d553edfce42957d041a77673696d06a403ce3 1451 perl_5.12.2~rc1-1.dsc
 62df18163d491ec6242a2e5dd930983a60c6fe5221670751420278344e8e93d6 12319327 perl_5.12.2~rc1.orig.tar.bz2
 90ba5fb5707e6f6ba88abb944858850d1248e1ae049654cb1e0cec557aac1e1c 83233 perl_5.12.2~rc1-1.debian.tar.gz
 3708e5428565e06525a4eb1def0e3058f72a3e72c249c1af1234caa43a68f59b 53852 libcgi-fast-perl_5.12.2~rc1-1_all.deb
 63d59c584d0049918bb336fd96296d178d82bb22f8441fd846a1f9a8fccfdcf6 7506420 perl-doc_5.12.2~rc1-1_all.deb
 5f3b2811b1ba6e842ee772d87bfb5a1a939b0349a6fefe75e305573ed545d1f4 4753970 perl-modules_5.12.2~rc1-1_all.deb
 cf838d26651f5e73934ccab9bdb9d12e047a65d961cce5e15c477be8e59202bf 1482590 perl-base_5.12.2~rc1-1_amd64.deb
 9558e396f0e4970b39a077e3a801aef72103317b22d1db7f3c7735df43b48092 5896488 perl-debug_5.12.2~rc1-1_amd64.deb
 6e5d386db66ec791e3cbf6d7c3596c4ed64e7ce31b1562a1f7942d911a94c555 1154 libperl5.12_5.12.2~rc1-1_amd64.deb
 6acd98d5a5841d9f82700b64c18c9c14282ddcb1dc3b2f7b5a89496f578a4318 2574308 libperl-dev_5.12.2~rc1-1_amd64.deb
 62cf3a4e3108c0f714c3c23a89614ca650ac89c313282d641f0d3eadd6f00068 4220586 perl_5.12.2~rc1-1_amd64.deb
Files: 
 108c5b92859ee6c087f6457cfe44ff15 1451 perl standard perl_5.12.2~rc1-1.dsc
 30cfe9c946feb0ac8a571be7ad7858e1 12319327 perl standard perl_5.12.2~rc1.orig.tar.bz2
 8243b2cedcb62bf88536678311be3f9b 83233 perl standard perl_5.12.2~rc1-1.debian.tar.gz
 dc232f127d793245d34d559411033bde 53852 perl optional libcgi-fast-perl_5.12.2~rc1-1_all.deb
 8db51a6d9b86a13f58604d1b8438292a 7506420 doc optional perl-doc_5.12.2~rc1-1_all.deb
 0d7db7a6fc470304801a022200195173 4753970 perl standard perl-modules_5.12.2~rc1-1_all.deb
 1079d4aa9669f81b50d8610c669b5eed 1482590 perl required perl-base_5.12.2~rc1-1_amd64.deb
 6489d0c1a0b711be7fb54a096262e430 5896488 debug extra perl-debug_5.12.2~rc1-1_amd64.deb
 b7b1251056584612d423f7936b9fc5ca 1154 libs optional libperl5.12_5.12.2~rc1-1_amd64.deb
 c7a38fedb2ae882d913dabc7211a1728 2574308 libdevel optional libperl-dev_5.12.2~rc1-1_amd64.deb
 d1bac137d10d35f5161783675061c22d 4220586 perl standard perl_5.12.2~rc1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkx+qR4ACgkQiyizGWoHLTkAeQCfQpaglHGb2kEobAoBrskIER0q
51kAnijEDk0ImPZ3oEAiYpVkmAkgUIh0
=s1EJ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 30 Sep 2010 07:30:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:38:00 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.